Bug 183000 - USB Drive not automatically mounting or showing up on desktop
USB Drive not automatically mounting or showing up on desktop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 22:23 EST by Andy Hudson
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 14:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Hudson 2006-02-24 22:23:16 EST
Description of problem:
From Test 3 I've been unable to get an automatic desktop icon for a removable
flash drive. Every time I plug it in the flash drive lights up for a few seconds
before settling down.

Version-Release number of selected component (if applicable):
$ rpm -q hal
hal-0.5.7-0.cvs20060213.2
$ uname -r
2.6.15-1.1977_FC5
$ rpm -q gnome-mount
gnome-mount-0.4-0.cvs20060213.1


How reproducible:
Always

Steps to Reproduce:
1.Insert USB drive
2.
3.
  
Actual results:
No desktop icon appears

Expected results:
Desktop icon should appear and Gnome should ask me whether I want to import files

Additional info:
Output from dmesg:
usb 5-5: new high speed USB device using ehci_hcd and address 2
usb 5-5: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor:           Model: USB DISK 2.0      Rev: PMAP
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 1970176 512-byte hdwr sectors (1009 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 1970176 512-byte hdwr sectors (1009 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 1:0:0:0: Attached scsi removable disk sdb
sd 1:0:0:0: Attached scsi generic sg1 type 0
usb-storage: device scan complete
Comment 1 John (J5) Palmieri 2006-02-27 10:57:08 EST
New versions have gone into rawhide that may fix your issues.  Can you upgrade
and report back.  Thanks.
Comment 2 Andy Hudson 2006-02-27 14:12:46 EST
Checked today and things seem to be working again. Thanks for this! Judging by
the last line of dmesg was it SELinux-related?

output from dmesg:
Initializing USB Mass Storage driver...
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor:           Model: USB DISK 2.0      Rev: PMAP
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 1970176 512-byte hdwr sectors (1009 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 1970176 512-byte hdwr sectors (1009 MB)
sdb: Write Protect is off
sdb: Mode Sense: 23 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 1:0:0:0: Attached scsi removable disk sdb
sd 1:0:0:0: Attached scsi generic sg1 type 0
usb-storage: device scan complete
SELinux: initialized (dev sdb1, type vfat), uses genfs_contexts

$ rpm -q udev hal gnome-volume-manager gnome-mount
udev-084-6
hal-0.5.7-1
gnome-volume-manager-1.5.13-3
gnome-mount-0.4-2
Comment 3 John (J5) Palmieri 2006-02-27 14:25:36 EST
Could have been.

Note You need to log in before you can comment on or make changes to this bug.